###################################################
### chunk number 1: 
###################################################
library(mlegp)


###################################################
### chunk number 2: 
###################################################
x1 = kronecker(seq(0,1,by=.25), rep(1,5))
x2 = rep(seq(0,1,by=.25),5)
y = 4*x1 - 2 * x2 + x1*x2 + rnorm(length(x1), sd = .001)
fit = mlegp(cbind(x1,x2), y, param.names = c("x1", "x2"))


###################################################
### chunk number 3: 
###################################################
FANOVADecomposition(fit, verbose=F)


###################################################
### chunk number 4:  eval=FALSE
###################################################
## par(mfrow = c(1,2))
## plotMainEffects(fit, graphStyle=1, FANOVA = TRUE)
## plotInteractionEffect(fit, effects = c(1,2))


###################################################
### chunk number 5: 
###################################################
par(mfrow = c(1,2))
plotMainEffects(fit, graphStyle=1, FANOVA = TRUE)
plotInteractionEffect(fit, effects = c(1,2))


###################################################
### chunk number 6: 
###################################################
x = -5:5
z1 = 10 - 5*x + rnorm(length(x))
z2 = 4 - 5*x + rnorm(length(x))
z3 = 7 * sin(x) + rnorm(length(x))
fitMulti = mlegp(x, cbind(z1,z2,z3), param.names = "x")


###################################################
### chunk number 7: 
###################################################
plotMainEffects(fitMulti, effects = "x", graphStyle = 1)


