###################################################
### chunk number 1: 
###################################################
library(mlegp)


###################################################
### chunk number 2: 
###################################################
x = seq(-4,4,by=.05)
p = 1:10
y = matrix(0,length(p), length(x))
for (i in 1:length(p)) {
           y[i,] = sin(x) + .2*i + rnorm(length(x), sd  = .01)
}


###################################################
### chunk number 3:  eval=FALSE
###################################################
## ## we now have 10 functional observations (each of length 100) ##
## for (i in p) {
## 	plot(x,y[i,], type = "l", col = i, ylim = c(min(y), max(y)))
##         par(new=TRUE)
## }


###################################################
### chunk number 4: 
###################################################
     ## we now have 10 functional observations (each of length 100) ##
     for (i in p) {
            plot(x,y[i,], type = "l", col = i, ylim = c(min(y), max(y)))
            par(new=TRUE)
     }


###################################################
### chunk number 5: 
###################################################
     numPCs = 2
     singularValueImportance(t(y))[numPCs]


###################################################
### chunk number 6: 
###################################################
     fitPC = mlegp(p, t(y), PC.num = numPCs)


###################################################
### chunk number 7: 
###################################################
     ## reconstruct the output Y = UDV'
     Vprime = matrix(0,numPCs,length(p))
     Vprime[1,] = predict(fitPC[[1]])
     Vprime[2,] = predict(fitPC[[2]])
     predY = fitPC$UD %*% Vprime


###################################################
### chunk number 8:  eval=FALSE
###################################################
## plotMainEffects(fitPC, effect = 1, graphStyle=1)


###################################################
### chunk number 9: 
###################################################
plotMainEffects(fitPC, effect = 1, graphStyle=1)


###################################################
### chunk number 10: 
###################################################
p = 1:10
x1 = seq(-4,4,by=.05)
x2 = 1:5
y1 = matrix(0,length(p), length(x1))
y2 = matrix(0,length(p), length(x2))
for (i in 1:length(p)) {
           y1[i,] = sin(x1) + .2*p[i] + rnorm(length(x1), sd  = .01)
	   y2[i,] = .1*p[i] + x2 +rnorm(length(x2), sd = 0.01)
     }
## put the output in matrix form (each row corresponds to output from the model, first y1 then y2 ##
y = cbind(y1,y2)
fitPC = mlegp(p, t(y), PC.percent = 99.999)


###################################################
### chunk number 11:  eval=FALSE
###################################################
## main = plotMainEffects(fitPC, effect = 1, no.plot = TRUE)
## preds = main$preds
## beg1 = 1; end1 = length(x1)
## beg2 = end1+1; end2 = beg2+length(x2)-1
## par(mfrow = c(1,2))
## ## plot the main effect for y1 ##
## for (i in 1:dim(preds)[1]) {
## 	plot(x1, preds[i,beg1:end1], ylim = c(min(preds[,beg1:end1]), max(preds[,beg1:end1])), type="l", col = i,
## 		xlab = "x1", ylab = "y1", main = "main effect on y1")
## 	par(new=TRUE)
## }
## par(new=FALSE)
## ## plot the main effect for y2 ##
## for (i in 1:dim(preds)[1]) {
## 	plot(x2, preds[i,beg2:end2], ylim = c(min(preds[,beg2:end2]), max(preds[,beg2:end2])), type="l", col = i, 
## 		xlab = "x2", ylab = "y2", main = "main effect on y2")
## 	par(new=TRUE)
## }


###################################################
### chunk number 12: 
###################################################
main = plotMainEffects(fitPC, effect = 1, no.plot = TRUE)
preds = main$preds
beg1 = 1; end1 = length(x1)
beg2 = end1+1; end2 = beg2+length(x2)-1
par(mfrow = c(1,2))
## plot the main effect for y1 ##
for (i in 1:dim(preds)[1]) {
	plot(x1, preds[i,beg1:end1], ylim = c(min(preds[,beg1:end1]), max(preds[,beg1:end1])), type="l", col = i, lty = i,
		xlab = "x1", ylab = "y1", main = "main effect on y1")
	par(new=TRUE)
}
par(new=FALSE)
## plot the main effect for y2 ##
for (i in 1:dim(preds)[1]) {
	plot(x2, preds[i,beg2:end2], ylim = c(min(preds[,beg2:end2]), max(preds[,beg2:end2])), type="l", col = i, lty = i,
		xlab = "x2", ylab = "y2", main = "main effect on y2")
	par(new=TRUE)
}


